Skip to content

Safety.AI has a dedicated Job Status endpoint. After submitting an Intake AI request, you can query your Vault to determine the status of the request. To do this, you must have a valid job_id for a job previously requested through the API.

GET/api/{version}/app/safety/ai/job/status/{job_id}
NameDescription
{job_id}The ID of the job, returned from the original job request.
curl --location --request GET "Authorization: {SESSION_ID}" \ ‘https://myvault.veevavault.com/api/v20.2/app/safety/ai/job/status/69813’ \ --header 'Authorization: {SESSION_ID} ' \ --header 'Content-Type: application/json'
{ "responseStatus": "SUCCESS", "data": { "id": 79403, "status": "SUCCESS", "links": [ { "rel": "self", "href": "/api/v20.2/services/jobs/79403", "method": "GET", "accept": "application/json" }, { "rel": "self", "href": "/api/v20.2/services/jobs/79403/tasks", "method": "GET", "accept": "application/json" } ], "progress": { "size": 1, "success": 1, "error": 0, "running": 0, "queued": 0, "cancelled": 0 }, "created_by": 260491, "created_date": "2020-05-21T13:30:59.000Z", "run_start_date": "2020-05-21T13:31:01.000Z", "run_end_date": "2020-05-21T13:31:07.000Z" } }

On SUCCESS, the response includes the following information: